Ƭrivumo Docs
Ƭrivumo Docs
HomeMCP Server
Get message contentGet messages
Api reference

Get messages

Retrieve messages received by your domain. Results are returned in pages and can be filtered by recevier email , sender email address and subject text.

GET
/api/v1/messages

Retrieve messages received by your domain. Results are returned in pages and can be filtered by recevier email , sender email address and subject text.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

page?string

Page number to return. Defaults to 1.

from?string

Filter messages by sender email address.

to?string

Filter messages by recevier email address.

subject?string

Filter messages by subject text.

receivedAfter?integer

Filter by timestamp after which the email was received

Response Body

application/json

curl -X GET "https://example.com/api/v1/messages"
{
  "data": [
    {
      "referenceId": "string",
      "from": "user@example.com",
      "to": "user@example.com",
      "subject": "string",
      "size": 0,
      "receivedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "page": 0,
  "totalPages": 0
}

Get message content

Retrieve both the HTML and plain text content for a captured email message, along with extracted links, images, verification codes, and message headers.

Cypress

Learn how to test email workflows in Cypress using Trivumo.